Index: testsuites/sptests/ChangeLog
===================================================================
--- testsuites/sptests/ChangeLog	(revision a7d04d633323b4aa5e0d92778e849cbdf8276ec9)
+++ testsuites/sptests/ChangeLog	(revision c976c706beeb77ca9423868ff53e3a7dac6fedaf)
@@ -1,2 +1,9 @@
+2011-09-26	Petr Benes <benesp16@fel.cvut.cz>
+
+	PR 1923/testing
+	* spcbssched02/spcbssched02.scn, spcbssched02/system.h,
+	spcbssched03/init.c, spcbssched03/system.h, spedfsched02/system.h,
+	spedfsched03/system.h, sprbtree01/init.c: Improve coverage.
+
 2011-09-20	Petr Benes <benesp16@fel.cvut.cz>
 
Index: testsuites/sptests/spcbssched02/spcbssched02.scn
===================================================================
--- testsuites/sptests/spcbssched02/spcbssched02.scn	(revision a7d04d633323b4aa5e0d92778e849cbdf8276ec9)
+++ testsuites/sptests/spcbssched02/spcbssched02.scn	(revision c976c706beeb77ca9423868ff53e3a7dac6fedaf)
@@ -19,12 +19,21 @@
 Periodic task: Approved budget
 Periodic task: Starting periodic behavior
+Periodic task: Starting periodic behavior
 P1-S ticks:1
 P1-F ticks:11
+P2-S ticks:11
+P2-F ticks:21
 P1-S ticks:31
 P1-F ticks:41
+P2-S ticks:41
+P2-F ticks:51
 P1-S ticks:61
 P1-F ticks:71
+P2-S ticks:71
+P2-F ticks:81
 P1-S ticks:91
 P1-F ticks:101
+P2-S ticks:101
+P2-F ticks:111
 P1-S ticks:121
 Periodic task: Deleting self
Index: testsuites/sptests/spcbssched02/system.h
===================================================================
--- testsuites/sptests/spcbssched02/system.h	(revision a7d04d633323b4aa5e0d92778e849cbdf8276ec9)
+++ testsuites/sptests/spcbssched02/system.h	(revision c976c706beeb77ca9423868ff53e3a7dac6fedaf)
@@ -31,5 +31,5 @@
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
-#define CONFIGURE_MICROSECONDS_PER_TICK 100000
+#define CONFIGURE_MICROSECONDS_PER_TICK 20000
 
 #define CONFIGURE_MAXIMUM_TASKS               3
Index: testsuites/sptests/spcbssched03/init.c
===================================================================
--- testsuites/sptests/spcbssched03/init.c	(revision a7d04d633323b4aa5e0d92778e849cbdf8276ec9)
+++ testsuites/sptests/spcbssched03/init.c	(revision c976c706beeb77ca9423868ff53e3a7dac6fedaf)
@@ -59,4 +59,6 @@
   }
 
+  rtems_task_wake_after( RTEMS_YIELD_PROCESSOR );
+
   status = rtems_task_delete( RTEMS_SELF );
   directive_failed( status, "rtems_task_delete of RTEMS_SELF" );
Index: testsuites/sptests/spcbssched03/system.h
===================================================================
--- testsuites/sptests/spcbssched03/system.h	(revision a7d04d633323b4aa5e0d92778e849cbdf8276ec9)
+++ testsuites/sptests/spcbssched03/system.h	(revision c976c706beeb77ca9423868ff53e3a7dac6fedaf)
@@ -35,5 +35,5 @@
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
-#define CONFIGURE_MICROSECONDS_PER_TICK 100000
+#define CONFIGURE_MICROSECONDS_PER_TICK 20000
 
 #define CONFIGURE_MAXIMUM_TASKS               7
@@ -41,5 +41,5 @@
 
 #define CONFIGURE_INIT_TASK_PRIORITY          100
-#define CONFIGURE_INIT_TASK_INITIAL_MODES     RTEMS_DEFAULT_MODES
+#define CONFIGURE_INIT_TASK_INITIAL_MODES     RTEMS_NO_PREEMPT
 #define CONFIGURE_RTEMS_INIT_TASKS_TABLE
 
Index: testsuites/sptests/spedfsched02/system.h
===================================================================
--- testsuites/sptests/spedfsched02/system.h	(revision a7d04d633323b4aa5e0d92778e849cbdf8276ec9)
+++ testsuites/sptests/spedfsched02/system.h	(revision c976c706beeb77ca9423868ff53e3a7dac6fedaf)
@@ -39,5 +39,5 @@
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
-#define CONFIGURE_MICROSECONDS_PER_TICK 100000
+#define CONFIGURE_MICROSECONDS_PER_TICK 20000
 
 #define CONFIGURE_MAXIMUM_TASKS               7
Index: testsuites/sptests/spedfsched03/system.h
===================================================================
--- testsuites/sptests/spedfsched03/system.h	(revision a7d04d633323b4aa5e0d92778e849cbdf8276ec9)
+++ testsuites/sptests/spedfsched03/system.h	(revision c976c706beeb77ca9423868ff53e3a7dac6fedaf)
@@ -35,5 +35,5 @@
 #define CONFIGURE_APPLICATION_NEEDS_CLOCK_DRIVER
 
-#define CONFIGURE_MICROSECONDS_PER_TICK 100000
+#define CONFIGURE_MICROSECONDS_PER_TICK 20000
 
 #define CONFIGURE_MAXIMUM_TASKS               7
Index: testsuites/sptests/sprbtree01/init.c
===================================================================
--- testsuites/sptests/sprbtree01/init.c	(revision a7d04d633323b4aa5e0d92778e849cbdf8276ec9)
+++ testsuites/sptests/sprbtree01/init.c	(revision c976c706beeb77ca9423868ff53e3a7dac6fedaf)
@@ -466,4 +466,6 @@
   if ( _RBTree_Is_red( NULL ) != 0 )
     puts ( "INIT - ERROR ON RBTREE NULL IS RED MISMATCH" );
+  if ( _RBTree_Is_red( rbtree1.root ) != 0 )
+    puts ( "INIT - ERROR ON RBTREE NULL IS RED MISMATCH" );
 
   puts( "INIT - Removing 100 nodes" );
